# Method: services.rollouts.list

- [HTTP request](https://docs.cloud.google.com/service-infrastructure/docs/service-management/reference/rest/v1/services.rollouts/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/service-infrastructure/docs/service-management/reference/rest/v1/services.rollouts/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/service-infrastructure/docs/service-management/reference/rest/v1/services.rollouts/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/service-infrastructure/docs/service-management/reference/rest/v1/services.rollouts/list#body.request_body)
- [Response body](https://docs.cloud.google.com/service-infrastructure/docs/service-management/reference/rest/v1/services.rollouts/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/service-infrastructure/docs/service-management/reference/rest/v1/services.rollouts/list#body.ListServiceRolloutsResponse.SCHEMA_REPRESENTATION)
- [Authorization Scopes](https://docs.cloud.google.com/service-infrastructure/docs/service-management/reference/rest/v1/services.rollouts/list#body.aspect)

Lists the history of the service configuration rollouts for a managed service, from the newest to the oldest.

### HTTP request

`GET https://servicemanagement.googleapis.com/v1/services/{serviceName}/rollouts`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `serviceName` | `string` Required. The name of the service. See the [overview](https://cloud.google.com/service-management/overview) for naming requirements. For example: `example.googleapis.com`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `serviceName`: - `servicemanagement.services.get` |

### Query parameters

| Parameters ||
|---|---|
| `pageToken` | `string` The token of the page to retrieve. |
| `pageSize` | `integer` The max number of items to include in the response list. Page size is 50 if not specified. Maximum value is 100. |
| `filter` | `string` Required. Use `filter` to return subset of rollouts. The following filters are supported: -- By `https://docs.cloud.google.com/service-infrastructure/docs/service-management/reference/rest/v1/services.rollouts#RolloutStatus`. For example, `filter='status=SUCCESS'` -- By \[strategy\] \[google.api.servicemanagement.v1.Rollout.strategy\]. For example, `filter='strategy=TrafficPercentStrategy'` |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:
Response message for rollouts.list method.

| JSON representation |
|---|
| ``` { "rollouts": [ { object (`https://docs.cloud.google.com/service-infrastructure/docs/service-management/reference/rest/v1/services.rollouts#Rollout`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `rollouts[]` | ``object (`https://docs.cloud.google.com/service-infrastructure/docs/service-management/reference/rest/v1/services.rollouts#Rollout`)`` The list of rollout resources. |
| `nextPageToken` | `string` The token of the next page of results. |

### Authorization Scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/service.management.readonly`
- `https://www.googleapis.com/auth/cloud-platform.read-only`
- `https://www.googleapis.com/auth/service.management`
- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).